/// <reference types="node" />
import { AnyLayer, BaseLayer, Document } from "../../internal";
export interface ClippingMaskData {
    name: string;
    mask: AnyLayer;
    source: AnyLayer;
    position?: number;
    debugMode?: boolean;
}
export default class ClippingMask extends BaseLayer {
    mask: AnyLayer;
    source: AnyLayer;
    constructor(clippingMaskData: ClippingMaskData, document?: Document);
    toBuffer: () => Promise<Buffer>;
}
