"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function createClippingMask(document, clippingMaskData) {
    document._debug(`Creating clipping mask '${clippingMaskData.name}' at position ${clippingMaskData.position || document.layers.length}`);
    const clippingMask = new internal_1.ClippingMask(clippingMaskData, document);
    return clippingMask;
}
exports.default = createClippingMask;
