"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setStrokeWidth(shapeLayer, strokeWidth) {
    shapeLayer._debug(strokeWidth ? `Setting stroke width to ${strokeWidth}` : "Resetting stroke width");
    if ((strokeWidth !== undefined) && (strokeWidth < 0))
        throw new Error("Stroke width can't be less than 0");
    shapeLayer.strokeWidth = strokeWidth;
    return shapeLayer;
}
exports.default = setStrokeWidth;
