"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function setFontSize(textLayer, fontSize = internal_1.DEFAULT_FONT_SIZE) {
    textLayer._debug(`Setting font size to ${fontSize}`);
    if (fontSize < 0)
        throw new Error("Font size can't be less than 0");
    textLayer.fontSize = fontSize;
    return textLayer;
}
exports.default = setFontSize;
