"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setLineHeight(textLayer, lineHeight) {
    textLayer._debug(lineHeight ? `Setting line height to ${lineHeight}` : "Resetting line height");
    if ((lineHeight !== undefined) && (lineHeight < 0))
        throw new Error("Line height can't be less than 0");
    textLayer.lineHeight = lineHeight;
    return textLayer;
}
exports.default = setLineHeight;
