"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setMaxWidth(textLayer, maxWidth) {
    textLayer._debug(maxWidth ? `Setting max width to ${maxWidth}` : "Resetting max width");
    if ((maxWidth !== undefined) && (maxWidth < 0))
        throw new Error("Max width can't be less than 0");
    textLayer.maxWidth = maxWidth || textLayer.document?.width || 400;
    return textLayer;
}
exports.default = setMaxWidth;
