"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setTextAlign(textLayer, textAlign = "left") {
    textLayer._debug(`Setting text align to ${textAlign}`);
    if (!["left", "center", "right", "justify"].includes(textAlign))
        throw new Error("Invalid text align");
    textLayer.textAlign = textAlign;
    return textLayer;
}
exports.default = setTextAlign;
