import { AnyLayer } from "../../internal";
export declare type AlignType = "start" | "center" | "end";
export declare type Units = "pixels" | "percent";
export interface AlignOptions {
    left?: AlignType;
    top?: AlignType;
    leftOffset?: number;
    topOffset?: number;
    leftOffsetUnits?: Units;
    topOffsetUnits?: Units;
}
export default function align<AnyLayerInput extends AnyLayer>(layer: AnyLayerInput, alignOptions?: AlignOptions): AnyLayerInput;
