"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function brightness(layer, amount) {
    layer._debug(`Brightening image by ${amount}`);
    if (amount === 100) {
        layer._debug(`Layer brightness adjustment would cause no change, ignoring`);
        return layer;
    }
    layer._edits.push({
        type: "brightness",
        amount
    });
    return layer;
}
exports.default = brightness;
