"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function hue(layer, degrees) {
    layer._debug(`Rotating hue by ${degrees} degrees`);
    if (degrees % 360 === 0) {
        layer._debug(`Layer rotation would cause no change, ignoring`);
        return layer;
    }
    layer._edits.push({
        type: "hue",
        degrees
    });
    return layer;
}
exports.default = hue;
