"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function move(layer, position, relative) {
    if (relative)
        position = layer.position + position;
    layer._debug(`Moving to position ${position}`);
    if (!layer.document)
        throw new Error("This layer isn't a part of a document");
    layer.document.layers.splice(layer.position, 1);
    layer.document.layers.splice(position, 0, layer);
    return position;
}
exports.default = move;
