"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function saturation(layer, amount) {
    layer._debug(`Saturating image by ${amount}`);
    if (amount === 100) {
        layer._debug(`Layer saturation adjustment would cause no change, ignoring`);
        return layer;
    }
    layer._edits.push({
        type: "saturation",
        amount
    });
    return layer;
}
exports.default = saturation;
