"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function setOpacity(layer, opacity) {
    layer._debug(`Setting opacity to ${opacity}%`);
    if ((opacity < 0) || (opacity > 100))
        throw new Error("Opacity must be between 0 and 100");
    layer.opacity = opacity;
    return layer;
}
exports.default = setOpacity;
