"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
async function createLayer(document, layerData) {
    document._debug(`Creating layer '${layerData.name}' at position ${layerData.position || document.layers.length}`);
    const layer = new internal_1.Layer(layerData, document);
    await layer._initialize;
    return layer;
}
exports.default = createLayer;
