"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../color");
function setFill(shapeLayer, fill) {
    if (fill !== undefined)
        fill = color_1.parseColor(fill);
    shapeLayer._debug(fill ? `Setting fill to ${fill}` : "Resetting fill");
    shapeLayer.fill = fill;
    return shapeLayer;
}
exports.default = setFill;
