"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../color");
function setStroke(shapeLayer, stroke) {
    if (stroke !== undefined)
        stroke = color_1.parseColor(stroke);
    shapeLayer._debug(stroke ? `Setting stroke to ${stroke}` : "Resetting stroke");
    shapeLayer.stroke = stroke;
    return shapeLayer;
}
exports.default = setStroke;
