import * as illustra from "./internal";
export default illustra;
export { Document, DocumentData } from "./internal";
export declare type BaseLayer = InstanceType<typeof illustra.BaseLayer>;
export { AlignOptions, AlignType, AnyLayer, BaseLayerData, BlendMode, ExportMetadata, ExportTypes, Format, PathOrWithMetadataOptions, Units } from "./internal";
export declare type Layer = InstanceType<typeof illustra.Layer>;
export { createLayer, LayerData } from "./internal";
export declare type ShapeLayer = InstanceType<typeof illustra.ShapeLayer>;
export { ShapeData, ShapeLayerData } from "./internal";
export declare type Polygon = InstanceType<typeof illustra.Polygon>;
export { createPolygon, PolygonShapeData, PolygonData } from "./internal";
export declare type Ellipse = InstanceType<typeof illustra.Ellipse>;
export { createEllipse, EllipseShapeData, EllipseData } from "./internal";
export declare type TextLayer = InstanceType<typeof illustra.TextLayer>;
export { createTextLayer, TextAlign, TextData, TextLayerData } from "./internal";
export declare type ClippingMask = InstanceType<typeof illustra.ClippingMask>;
export { ClippingMaskData, createClippingMask } from "./internal";
export { Color, RGBA } from "./internal";
