"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClippingMask = exports.ClippingMask = exports.createTextLayer = exports.DEFAULT_FONT_SIZE = exports.TextLayer = exports.createEllipse = exports.Ellipse = exports.createPolygon = exports.Polygon = exports.ShapeLayer = exports.createLayer = exports.Layer = exports.BaseLayer = exports.Document = void 0;
var Document_1 = require("./classes/Document/Document");
Object.defineProperty(exports, "Document", { enumerable: true, get: function () { return __importDefault(Document_1).default; } });
var BaseLayer_1 = require("./classes/BaseLayer/BaseLayer");
Object.defineProperty(exports, "BaseLayer", { enumerable: true, get: function () { return __importDefault(BaseLayer_1).default; } });
var Layer_1 = require("./classes/Layer/Layer");
Object.defineProperty(exports, "Layer", { enumerable: true, get: function () { return __importDefault(Layer_1).default; } });
var createLayer_1 = require("./createLayer");
Object.defineProperty(exports, "createLayer", { enumerable: true, get: function () { return __importDefault(createLayer_1).default; } });
var ShapeLayer_1 = require("./classes/ShapeLayer/ShapeLayer");
Object.defineProperty(exports, "ShapeLayer", { enumerable: true, get: function () { return __importDefault(ShapeLayer_1).default; } });
var Polygon_1 = require("./classes/Polygon/Polygon");
Object.defineProperty(exports, "Polygon", { enumerable: true, get: function () { return __importDefault(Polygon_1).default; } });
var createPolygon_1 = require("./createPolygon");
Object.defineProperty(exports, "createPolygon", { enumerable: true, get: function () { return __importDefault(createPolygon_1).default; } });
var Ellipse_1 = require("./classes/Ellipse/Ellipse");
Object.defineProperty(exports, "Ellipse", { enumerable: true, get: function () { return __importDefault(Ellipse_1).default; } });
var createEllipse_1 = require("./createEllipse");
Object.defineProperty(exports, "createEllipse", { enumerable: true, get: function () { return __importDefault(createEllipse_1).default; } });
var TextLayer_1 = require("./classes/TextLayer/TextLayer");
Object.defineProperty(exports, "TextLayer", { enumerable: true, get: function () { return __importDefault(TextLayer_1).default; } });
Object.defineProperty(exports, "DEFAULT_FONT_SIZE", { enumerable: true, get: function () { return TextLayer_1.DEFAULT_FONT_SIZE; } });
var createTextLayer_1 = require("./createTextLayer");
Object.defineProperty(exports, "createTextLayer", { enumerable: true, get: function () { return __importDefault(createTextLayer_1).default; } });
var ClippingMask_1 = require("./classes/ClippingMask/ClippingMask");
Object.defineProperty(exports, "ClippingMask", { enumerable: true, get: function () { return __importDefault(ClippingMask_1).default; } });
var createClippingMask_1 = require("./createClippingMask");
Object.defineProperty(exports, "createClippingMask", { enumerable: true, get: function () { return __importDefault(createClippingMask_1).default; } });
